// pages/main/main.js
const App = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    title:"主题团日知识竞答",
    allData: [],
    disabled:true,
    interval:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.clearStorage();
    this.setData({
      navH: App.globalData.navHeight,
      allData: App.globalData.allData
    })
    // wx.showLoading({
    //   title: '加载中',
    // })
    // this.interval = setInterval(()=>{
    //   if (App.globalData.allData !== null) {
    //     this.setData({
    //       allData: App.globalData.allData,
    //       isShow:true
    //     })
    //     this.stopInterval();
    //     wx.hideLoading();
    //   }
    // }, 100);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // stopInterval() {
  //   clearInterval(this.interval)
  // },
  radioChange: function (e) {
    wx.setStorageSync(e.currentTarget.id, e.detail.value);
    // console.log(e.currentTarget.id, e.detail.value)
    //将改变保存到globalData里边
    App.globalData.allData[e.currentTarget.id].userAnswer = parseInt(e.detail.value) ;
    // console.log(App.globalData.allData)
    this.setData({
      disabled:this.judge()
    })

  },
  judge(){
    for(let i=0;i<this.data.allData.length;i++){
      var j = i.toString();
      var info = wx.getStorageSync(j)
      if(info=="") return true;
    }
    // console.log('false');
    return false;
  },
  submit(){
    // console.log(App.globalData.cloudState)
    if (App.globalData.cloudState){
      let uploadData = [];
      for(let i in this.data.allData){
        // var temp = {};//直接传一个数组就好，没更多功能之前先弃用
        // temp[i] = wx.getStorageSync(i);//通过这种方式自定义key值
        uploadData.push(parseInt(wx.getStorageSync(i)))
      }
      console.log(uploadData)
      wx.cloud.callFunction({
        name: 'sD_submit',
        data: {
          data:uploadData
        }
      }).then(res =>{
        console.log(res.result)
      }).catch(err =>{
        console.log(err)
      })
    }
    wx.cloud.database().collection('sD_personal').add({
      data:{
        allData: App.globalData.allData 
      }
    }).then(res => {
        wx.redirectTo({url:"../index/index"})  
    }).catch(err =>{
      console.err(err);
      wx.vibrateLong({})
      wx.showToast({
        title: '抱歉，请重试',
        icon: 'success',
        image: '../../images/info.png',
        duration: 2000
      })
    })

  }
})